#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.20
visibility:           public
id:                   hledger-iadd-1.3.20-qI0Tvpwzhy1drp2x285PX
key:                  hledger-iadd-1.3.20-qI0Tvpwzhy1drp2x285PX
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  78d305c0f064c4bf763765178e6f4757
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.20
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.20
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hledger-iadd
hs-libraries:         HShledger-iadd-1.3.20-qI0Tvpwzhy1drp2x285PX
depends:
    base-4.15.1.0 brick-1.7-GZI1LUL8V2tLS7GusX10H0 containers-0.6.4.1
    directory-1.3.6.2 free-5.1.10-GML7ycJ39bqE6AFb6ctPby
    hledger-lib-1.32.1-I2HLUyWdetm4G47AC5MnpI
    megaparsec-9.5.0-LdFjCpmSswWFjxJT5JwBDf
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4
    microlens-mtl-0.2.0.3-1bQnOxrDGVaBhXPSWw1eDJ
    microlens-th-0.4.3.14-AKNvIwdJVYaDQVlM4liVo5
    optparse-applicative-0.17.1.0-AxEI8mDLbJi7Q5pwqU28ta text-1.2.5.0
    text-zipper-0.13-yQ863z9RX55nMnstQJOf4 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.20-F7LW31p7u1B2dWjdgteKaR
    vector-0.13.1.0-uzHHqo7lIz9I73C2bosU7
    vty-5.38-3MqfQ6WbBu3BVKFnJAUcCZ
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

